#!/usr/bin/env python3


class Plugin(object):
    def __init__(self, plugin_manager):
        self.plugin_manager = plugin_manager

    def activate(self):
        pass

    def deactivate(self):
        pass

    def notify_message(self, room, event):
        pass

    @staticmethod
    def command(*args, **options):
        def decorator(f):
            f._plugin_command = {'options': options}
            return f
        return decorator
